Update security question count

Updates the number of security questions to render for a User.

PUT
/v2/manage/security-questions/count

Updates the number of security questions to render for a User.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/security-questions/count" \  -H "Content-Type: application/json" \  -d '{    "RenderQuestionCount": 1  }'
{
  "RenderQuestionCount": 1
}

{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "ErrorCode": 7947,
  "Message": "Security question configuration not found",
  "Description": "Security question settings are not configured or the resource does not exist."
}
{
  "ErrorCode": 8010,
  "Message": "Can not update security question configuration's number of security question to appear count.",
  "Description": "The number of security questions to appear count of security question configuration should be greater than or equal to the number of security question to appear count of two factor security question authenticator."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}